﻿package dao

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"time"
)

type SuperCloudIssuanceUserRobotBindGroupDao interface {
	GetSuperCloudIssuanceUserRobotBindGroup(id int) (m *models.SuperCloudIssuanceUserRobotBindGroup, err error)
	GetSuperCloudIssuanceUserRobotBindGroupByChatRoomId(chatRoomId string) (m *models.SuperCloudIssuanceUserRobotBindGroup, err error)
	InsertSuperCloudIssuanceUserRobotBindGroup(m *models.SuperCloudIssuanceUserRobotBindGroup) (id int, err error)
	SaveSuperCloudIssuanceUserRobotBindGroup(id interface{}, m *models.SuperCloudIssuanceUserRobotBindGroup, forceColums ...string) (affected int64, err error)
	DeleteSuperCloudIssuanceUserRobotBindGroup(id interface{}) (affected int64, err error)
	FindSuperCloudIssuanceUserRobotBindGroup() (resp []*FindCloudIssuanceUserRobotBindGroupResponse, total int64, err error)
	FindSuperCloudIssuanceUserRobotBindGroupByCategory(categoryId int) (m []*models.SuperCloudIssuanceUserRobotBindGroup, err error)
}

type FindCloudIssuanceUserRobotBindGroupResponse struct {
	Id                int       `json:"id" `
	Uid               int       `json:"uid"`
	Name              string    `json:"name"`
	RobotId           int       `json:"robot_id"`
	ChatRoomId        string    `json:"chat_room_id"`
	ChatRoomOwner     string    `json:"chat_room_owner"`
	MemberCount       int       `json:"member_count"`
	BigHeadImgUrl     string    `json:"big_head_img_url"`
	SmallHeadImgUrl   string    `json:"small_head_img_url"`
	GoodsCategoryId   int       `json:"goods_category_id"`
	State             int       `json:"state"`
	GoodsCategoryName string    `json:"goods_category_name"`
	CreateAt          time.Time `json:"create_at"`
	UpdateAt          time.Time `json:"update_at"`
}
