package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

type HappyOrchardSeedDb struct {
	Db *xorm.Engine
}

func NewHappyOrchardSeedDb(engine *xorm.Engine) dao.HappyOrchardSeedDao {
	return &HappyOrchardSeedDb{Db: engine}
}

func (h HappyOrchardSeedDb) GetHappyOrchardSeed(id int) (m *models.HappyOrchardSeed, err error) {
	m = new(models.HappyOrchardSeed)
	has, err := h.Db.Where("id =?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
func (h HappyOrchardSeedDb) FindHappyOrchardSeedAll(start, limit int) (mm *[]models.HappyOrchardSeed, err error) {
	var m []models.HappyOrchardSeed
	if err := h.Db.Where("is_use=?", 1).OrderBy("sort desc,id desc").Limit(limit, start).Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
func (h HappyOrchardSeedDb) FindHappyOrchardSeedWithIds(ids []int) (mm *[]models.HappyOrchardSeed, err error) {
	var m []models.HappyOrchardSeed
	if err := h.Db.In("id", ids).Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
