package models

type InstallmentPaymentList struct {
	Id                            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid                           int    `json:"uid" xorm:"not null default 0 comment('uid') INT(11)"`
	GoodsId                       int    `json:"goods_id" xorm:"not null default 0 comment('商品ID') INT(11)"`
	OrdId                         int64  `json:"ord_id" xorm:"not null default 0 comment('订单ID') BIGINT(20)"`
	TotalAmount                   string `json:"total_amount" xorm:"not null default 0.00 comment('总金额') DECIMAL(12,2)"`
	Commission                    string `json:"commission" xorm:"not null default 0.00 comment('总金额') DECIMAL(12,2)"`
	InstallmentNums               int    `json:"installment_nums" xorm:"not null default 0 comment('分期数') TINYINT(3)"`
	AlreadyRepaidInstallmentNums  int    `json:"already_repaid_installment_nums" xorm:"not null default 0 comment('已换分期数') TINYINT(3)"`
	RepaymentAmountPerInstallment string `json:"repayment_amount_per_installment" xorm:"not null default 0.00 comment('每期还款金额') DECIMAL(12,2)"`
	GoodsTitle                    string `json:"goods_title" xorm:"not null default '' comment('标题') VARCHAR(255)"`
	GoodsImg                      string `json:"goods_imgg" xorm:"not null default '' comment('图片') VARCHAR(255)"`
	IsRepaidOff                   int    `json:"is_repaid_off" xorm:"not null default 0 comment('是否已偿还完(0:未偿还完 1:已偿还完)') TINYINT(1)"`
	CreateAt                      string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt                      string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
