package models

import (
	"time"
)

type MicroApplicationsList struct {
	Id         int       `json:"id" xorm:"not null pk autoincr comment('自增id') INT(11)"`
	AppKey     string    `json:"app_key" xorm:"not null default '' comment('应用标识') CHAR(100)"`
	Name       string    `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	Icon       string    `json:"icon" xorm:"not null default '' comment('应用icon') VARCHAR(255)"`
	Desc       string    `json:"desc" xorm:"not null default '' comment('应用描述') VARCHAR(255)"`
	NowVersion string    `json:"now_version" xorm:"not null default '' comment('当前版本号') CHAR(50)"`
	Md5        string    `json:"md5" xorm:"not null default '' comment('MD5校验值') VARCHAR(255)"`
	AddressUrl string    `json:"address_url" xorm:"not null default '' comment('文件地址url') VARCHAR(255)"`
	CreateAt   time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt   time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
